msgpack::unpack_limit Class Reference

`#include <unpack_decl.hpp>`

## Public Member Functions

| unpack_limit (std::size_t array=0xffffffff, std::size_t map=0xffffffff, std::size_t str=0xffffffff, std::size_t bin=0xffffffff, std::size_t ext=0xffffffff, std::size_t depth=0xffffffff)
std::size_t | array () const
std::size_t | map () const
std::size_t | str () const
std::size_t | bin () const
std::size_t | ext () const
std::size_t | depth () const

## Constructor & Destructor Documentation

## unpack_limit()

msgpack::unpack_limit::unpack_limit | ( | std::size_t | array = `0xffffffff`,
|  | std::size_t | map = `0xffffffff`,
|  | std::size_t | str = `0xffffffff`,
|  | std::size_t | bin = `0xffffffff`,
|  | std::size_t | ext = `0xffffffff`,
|  | std::size_t | depth = `0xffffffff`
| ) |  |

inline

## Member Function Documentation

## array()

std::size_t msgpack::unpack_limit::array | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_array::operator()(), and msgpack::detail::create_object_visitor::start_array().

## bin()

std::size_t msgpack::unpack_limit::bin | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_bin(), and msgpack::detail::create_object_visitor::visit_bin().

## depth()

std::size_t msgpack::unpack_limit::depth | ( |  | ) | const

inline

References msgpack::detail::decr_count(), msgpack::detail::get_count(), msgpack::detail::incr_count(), msgpack::detail::init_count(), msgpack::detail::unpack_array_item(), msgpack::detail::unpack_bin(), msgpack::detail::unpack_double(), msgpack::detail::unpack_ext(), msgpack::detail::unpack_false(), msgpack::detail::unpack_float(), msgpack::detail::unpack_int16(), msgpack::detail::unpack_int32(), msgpack::detail::unpack_int64(), msgpack::detail::unpack_int8(), msgpack::detail::unpack_map_item(), msgpack::detail::unpack_nil(), msgpack::detail::unpack_str(), msgpack::detail::unpack_true(), msgpack::detail::unpack_uint16(), msgpack::detail::unpack_uint32(), msgpack::detail::unpack_uint64(), and msgpack::detail::unpack_uint8().

Referenced by msgpack::detail::create_object_visitor::start_array(), and msgpack::detail::create_object_visitor::start_map().

## ext()

std::size_t msgpack::unpack_limit::ext | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_ext(), and msgpack::detail::create_object_visitor::visit_ext().

## map()

std::size_t msgpack::unpack_limit::map | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_map::operator()(), and msgpack::detail::create_object_visitor::start_map().

## str()

std::size_t msgpack::unpack_limit::str | ( |  | ) | const

inline

Referenced by msgpack::detail::unpack_str(), and msgpack::detail::create_object_visitor::visit_str().

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/unpack_decl.hpp